<?xml version="1.0"?>
<doc>
    <assembly>
        <name>Waste.Web.Core</name>
    </assembly>
    <members>
        <member name="T:Waste.Web.Core.RESTfulResultProvider">
            <summary>
            RESTFUL 风格返回值
            </summary>
        </member>
        <member name="M:Waste.Web.Core.RESTfulResultProvider.OnException(Microsoft.AspNetCore.Mvc.Filters.ExceptionContext)">
            <summary>
            异常返回值
            </summary>
            <param name="context"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Web.Core.RESTfulResultProvider.OnResponseStatusCodes(Microsoft.AspNetCore.Http.HttpContext,System.Int32,Furion.UnifyResult.UnifyResultStatusCodesOptions)">
            <summary>
            处理输出状态码
            </summary>
            <param name="context"></param>
            <param name="statusCode"></param>
            <param name="options"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Web.Core.RESTfulResultProvider.OnSucceeded(Microsoft.AspNetCore.Mvc.Filters.ActionExecutedContext)">
            <summary>
            成功返回值
            </summary>
            <param name="context"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Web.Core.RESTfulResultProvider.OnValidateFailed(Microsoft.AspNetCore.Mvc.Filters.ActionExecutingContext,Microsoft.AspNetCore.Mvc.ModelBinding.ModelStateDictionary,System.Collections.Generic.IEnumerable{Furion.DataValidation.ValidateFailedModel},System.String)">
            <summary>
            验证失败返回值
            </summary>
            <param name="context"></param>
            <param name="modelStates"></param>
            <param name="validationResults"></param>
            <param name="validateFailedMessage"></param>
            <returns></returns>
        </member>
    </members>
</doc>
